Skip to main content
GET
/
tasks
cURL
curl --request GET \
  --url 'https://platform.abundant.ai/api/v1/tasks?taskId=123' \
  --header 'x-api-key: <your-api-key>'
{
  "id": "<string>",
  "status": "<string>",
  "targetUrl": "<string>",
  "description": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "metadata": {},
  "taskThreadId": "<string>",
  "title": "<string>",
  "type": "WEB_INTERVENTION",
  "context": {},
  "feedback": {}
}

Authorizations

x-api-key
string
header
required

Query Parameters

taskId
string
required

The ID of the task to retrieve

Response

Task retrieved successfully

id
string
required
status
string
required
targetUrl
string<uri>
required
description
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
metadata
object
required
taskThreadId
string
required
title
string | null
type
enum<string>
default:WEB_INTERVENTION
Available options:
AUDIO_TRANSCRIPTION,
CUSTOMER_SUPPORT,
DATA_ENTRY,
DOCUMENT_REVIEW,
MEETING_SCHEDULING,
OTHER,
WEB_INTERVENTION
context
object
feedback
object